Skip to main content
  POST  /transaction/settlement

Functionality

  • This API is used to resend all transactions that were not processed earlier due to technical issues. All payout transactions are submitted for settlement.
  • This API call is scheduled every day at 01:00 AM UTC to ensure that all transactions from the previous day are processed for settlement.
  • Upon receiving a successful response from your system, the transactions will be processed.
  • Any transactions that fail will be treated as lost bets. No bet reversals will be performed.
  • Please ensure your wallet balances are updated accordingly.
Returns an array of responses with each user’s updated balance.

Headers

x-api-key
string
required
A unique identifier associated with operator calling API.
x-signature
string
required
A SHA256 HMAC signature generated using the request body and timestamp. Format: HMAC_SHA256(JSON.stringify(data) + ’|’ + timestamp), signed using the provided secret key.
x-timestamp
string
required
An Unix timestamp (milliseconds) when the request was sent. Ensure the same value is used in signature generation.
content-type
string
required
Must be set to application/json

Request Body

transactions
array
required

Response

status
string
required
Code indicates status of the request weather it is succeed or failed. We have listed error codes here
data
Data Array
curl --request POST \
  --url 'https://partner-platform-url/transaction/settlement' \
  --header 'content-type: application/json' \
  --header 'x-api-key: <x-api-key>' \
  --header 'x-signature: <x-signature>' \
  --header 'x-timestamp: <x-timestamp>' \
  --data '{
    "transactions": [
      {
        "transactionId": "dd96bda3-9990-4aed-9679-f451a4b82ac4",
        "refTransactionId": "21848853-1198-4dde-9a21-bb9598398a8c",
        "sessionId": "f1dfc865-584c-4cba-a175-06172b2a41141731504451691",
        "roundId": "817e22b4-b030-468b-964e-62b9a7343050-1753428290674",
        "playerId": "18865671",
        "gameId": "G1720761376617",
        "currency": "EUR",
        "amount": 250000000,
        "isWin": true
      }
    ]
}'
{
    "status": "RS_OK",
    "data": [
        {
            "status": "RS_OK",
            "transactionId": "dd96bda3-9990-4aed-9679-f451a4b82ac4",
            "refTransactionId": "21848853-1198-4dde-9a21-bb9598398a8c",
            "sessionId": "d404f1da-26a6-44ff-8b0f-559915152be11742537289208",
            "roundId": "123xaf1a-s7ax-lles-9aws-5hjtjshosqq2be117425",
            "playerId": "18865671",
            "currency": "EUR",
            "balance": 300000000
        }
    ]
}